<?php
	require_once '../controller/CheckLoginState.php';
?>
<html>
<head>
<title>选课信息管理</title>
<link href="/css/manage.css" rel="Stylesheet" type="text/css" />
<script src="/opennew/alert.js" type="text/javascript"></script>
<script src="/opennew/Dialog.js" type="text/javascript"></script>
<script src="/js/ajax.js" type="text/javascript"></script>
<script src="/js/util.js" type="text/javascript"></script>
<script src="../js/calendar.js"></script>
<script>
function changepage(totalPage)
{
    var pageValue=document.studentSelectCourseInfoQueryForm.pageValue.value;
    if(pageValue>totalPage) {
        alert('你输入的页码超出了总页数!');
        return ;
    }
    document.studentSelectCourseInfoQueryForm.pageNow.value = pageValue;
    document.studentSelectCourseInfoQueryForm.submit();
}

/*跳转到查询结果的某页*/
function GoToPage(currentPage/*,totalPage*/) {
    //if(currentPage==0) return;
    //if(currentPage>totalPage) return;
    document.forms[0].pageNow.value = currentPage;
    document.forms[0].submit();
}
</script>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
</head>

<body>
	<div id="container">
		<div id="title">
			<table width="98%" border="0" cellpadding="0" cellspacing="2" align="center">
				<tr>
					<td height="21"><img src="../images/ico/ico08.gif" alt="" />
						<strong>选课信息管理</strong><script type="text/javascript">writeSpaces(105);</script>
						<img src="../images/print.jpg" title="打印" style="cursor: hand;" alt="" onclick="preview();">
					</td>
				</tr>
			</table>
		</div>

		<div id="content">
			<form id="studentSelectCourseInfoQueryForm" name="studentSelectCourseInfoQueryForm" action="/controller/StudentSelectCourseInfoAction.php?action=query" method="post">
				<!--startprint-->
				<table width="98%" border="1" cellspacing="1" cellpadding="2" align="center" style="margin: 0px;">
					<tr>
						<td colspan="9">
							学生对象: <select name="studentNumber">
								<option value="">不限制</option>
							<?php
								for($i = 0; $i < count ( $student_res ); $i ++) {
									$row = $student_res [$i];
									if ($studentNumber != $row ['studentNumber'])
										echo "<option value={$row['studentNumber']}>{$row['studentName']}</option>";
									else
										echo "<option selected value={$row['studentNumber']}>{$row['studentName']}</option>";
								}
							?>
							</select> 
							课程对象: <select name="courseNumber">
								<option value="">不限制</option>
							<?php
								for($i = 0; $i < count ( $courseInfo_res ); $i ++) {
									$row = $courseInfo_res [$i];
									if ($courseNumber != $row ['courseNumber'])
										echo "<option value={$row['courseNumber']}>{$row['courseName']}</option>";
									else
										echo "<option selected value={$row['courseNumber']}>{$row['courseName']}</option>";
								}
							?>
							</select> 
							<input type="button" class="btn" value="查询" onClick="javascript:document.forms[0].submit();" />
							<input type=hidden name=pageNow value="1" />
						</td>
					</tr>
				</table>


				<table width="98%" border="1" cellspacing="1" cellpadding="2" align="center" style="margin: 0px;">
					<tr class="a1" style="color: #ffffff; font-size: 12px;" height="30">
						<th>记录编号</th>
						<th>学生对象</th>
						<th>课程对象</th>
						<th width="60px">操作</th>
					</tr> 
<?php
for($i = 0; $i < count ( $fenyePage->res_array ); $i ++) {
	$row = $fenyePage->res_array [$i];
	$row ['studentNumber'] = $studentService->GetStudent ( $row ['studentNumber'] )->getStudentName ();
	$row ['courseNumber'] = $courseInfoService->GetCourseInfo ( $row ['courseNumber'] )->getCourseName ();
	echo "<td id=selectId_{$row['selectId']}>{$row['selectId']}</td>";
	echo "<td id=studentNumber_{$row['selectId']}>{$row['studentNumber']}</td>";
	echo "<td id=courseNumber_{$row['selectId']}>{$row['courseNumber']}</td>";
	echo "<td><div align='left'><a href='#' onclick=\"OpenEditStudentSelectCourseInfo('{$row['selectId']}', '修改选课信息','{$row['selectId']}');\">修改</a>&nbsp;&nbsp;</div><div align=\"right\"><a href='StudentSelectCourseInfoAction.php?action=del&selectId={$row['selectId']}' onclick=\"return confirm('警告：您确认删除吗？');\">删除</a></div></td>";
	echo "</tr>";
}
echo "<input type=button id='Ajax_Btn' style='display:none;' onclick='Ajax_GetStudentSelectCourseInfo();' />";
echo "</table>";
// 显示上一页和下一页
echo $fenyePage->navigate;
?>
&nbsp;跳转到： <input name="pageValue" type="text" size="4" style="height: 20px; width: 30px; border: 1px solid #999999;" />页
<img src="../images/go.gif" style="cursor: hand;" onclick="changepage(<?php echo $fenyePage->pageCount ?>);" width="37" height="15" />
				<!--endprint-->
			</form>
		</div>
	</div>
</body>
</html>
